Skip to main content
`Ctrl`+`K`

# SNESNASMSetDamping

Sets the update damping for `SNESNASM` the nonlinear additive Schwarz solver

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetDamping(SNES snes, PetscReal dmp)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- dmp - damping

## Options Database Key

- -snes_nasm_damping - the new solution is obtained as old solution plus `dmp` times (sum of the solutions on the subdomains)

## Note

The new solution is obtained as old solution plus dmp times (sum of the solutions on the subdomains)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNASM`, `SNESNASMGetDamping()`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

## Implementations

SNESNASMSetDamping_NASM() in src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages